/* @font-face {
    font-family: 'Assistant';
    src: url('assets/fonts/static/Assistant-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Assistant';
    src: url('assets/fonts/static/Assistant-Medium.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: 'Assistant';
    src: url('assets/fonts/static/Assistant-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
} */
@import url('https://fonts.googleapis.com/css2?family=Assistant:wght@200;300;400;500;600;700;800&display=swap');


body {
    font-family: 'Assistant', sans-serif !important;
    font-weight: 300;
    padding-top: 50px;
}


/* navbar */
.mobile-submenu-0 {
    display: none;
}

.header-wrapper--border-bottom {
    border-bottom: 1px solid rgba(36, 40, 51, 0.15);
    border-top: 1.5px solid rgb(36, 40, 51, 0.15);
}

.store-name {
    text-transform: uppercase;
    font-weight: 400;
    margin: 0;
    padding-left: 50px;
}

.primary-menu sub-menu {
    display: none;
}

.header__inline-menu ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.header__inline-menu>ul>li {
    position: relative;
    display: inline-block;
    margin-right: 18px;


}

.header__inline-menu>ul>li>a {
    display: block;
    padding: 10px 15px;
    color: #333333af;
    text-decoration: none;
    font-weight: 400;
    transition: color 0.3s ease;
}

.header__inline-menu ul.sub-menu {
    position: absolute;
    top: 100%;
    left: 0;
    margin-top: 7px;
    background: #fff;
    min-width: 100%;
    width: 216px;
    height: auto;
    border: 1px solid rgba(101, 102, 105, 0.154);
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease;
    z-index: 999;
    border-radius: 5px;
    overflow: hidden;

}

.logo-keyideas {
    display: flex;
    justify-content: center;
    align-items: center;
}

.header__inline-menu>ul>li:hover>ul.sub-menu {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.header__inline-menu ul.sub-menu li {
    display: block;
    border-bottom: 1px solid #eee;

}

.header__inline-menu ul.sub-menu li:last-child {
    border-bottom: none;
}

.header__inline-menu ul.sub-menu li a {
    display: block;
    padding: 10px 24px;
    color: #3333339d;
    text-decoration: none;
    border-bottom:1px solid black;
    background: #fff;
    font-size: 20px;
    transition: background 0.3s ease, color 0.3s ease;
    text-transform: none !important;
}
.header__inline-menu ul.sub-menu li:last-child a {
    border-bottom: none;
}


.header__inline-menu>ul>li>a {
    color: rgba(59, 61, 65, 0.9);
    text-decoration: none;
    transition: text-decoration-color 0.3s ease;
}

.header__inline-menu>ul>li:hover>a {
    text-decoration: underline;
    text-underline-offset: 5px;
    text-decoration-thickness: 2px;
    text-decoration-color: var(--underline-color, currentColor);
}

.header__inline-menu>ul>li:nth-child(1) {
    --underline-color: #3ae5f8;
}

.header__inline-menu>ul>li:nth-child(2) {
    --underline-color: #ff7931;
}

.header__inline-menu>ul>li:nth-child(3) {
    --underline-color: #a256ff;
}

.header__inline-menu>ul>li:nth-child(4) {
    --underline-color: #646bef;
}

.header__inline-menu>ul>li:nth-child(5) {
    --underline-color: #31ff38;
}

.header__inline-menu>ul>li {
    position: relative;
}

.header__inline-menu ul.sub-menu li a {
    display: block;
    padding: 10px 15px;
    color: #3333339d;
    background: #fff;
    font-size: 20px;
    transition: background 0.3s ease, color 0.3s ease, text-decoration-color 0.3s ease;
    text-transform: none !important;
}

.header__inline-menu ul.sub-menu li:hover>a {
    text-decoration: underline;
    text-underline-offset: 4px;
    text-decoration-thickness: 1.5px;
    text-decoration-color: inherit;
    color: var(--underline-color);
}

.header__inline-menu>ul>li:hover ul.sub-menu li a {
    text-decoration-color: var(--underline-color);
    color: #333;
}

.header__inline-menu ul.sub-menu {
    --underline-color: inherit;
    color: var(--underline-color);
}

.hidden {
    display: none !important;
}

.navbar-menu-toggle {
    display: none;
}

.list-menu--inline>li:nth-child(3)>a::after {
    content: "Must Try";
    display: inline-block;
    text-transform: none;
    font-weight: 400;
    vertical-align: middle;
    background: #575757;
    color: white;
    font-size: 10px;
    padding: 1px 4px;
    margin-left: 5px;
}

.dot,
.submenu-toggle {
    display: none !important;
}

.header-icon-serach .icon-cart-empty {
    color: #000;
}
.header__inline-menu ul.sub-menu li a {
    font-size: 13px;
}

@media screen and (min-width: 750px) {
    .page-width-home {
        padding: 2rem 2.5rem !important;
    }
}

@media (max-width: 1400px) {
    header .header__heading-link p {
        font-size: 18px;
    }

    .list-menu--inline li a {
        font-size: 14px;
    }

    .header__inline-menu>ul>li {
        margin-right: 0px;
    }

    .list-menu--inline>li:nth-child(3)>a::after {
        font-size: 10px;
    }
    .header__inline-menu ul.sub-menu {
        width:206px;
    }
}

.search-modal {
    position: fixed;
    inset: 0;
    display: none;
    justify-content: flex-start;
    align-items: flex-start;
    background: rgba(30, 30, 30, 0.65);
    backdrop-filter: blur(4px);
    z-index: 9999;
    transition: opacity 0.3s ease;
}

.search-modal.active {
    display: flex;
    opacity: 1;
}


.search-modal__form {
    flex: 1;
    display: flex;
    align-items: center;
    position: relative;
}

.search-modal__form input[type="search"] {
    width: 100%;
    padding: 10px 40px 10px 15px;
    border: 2px solid #87898F;
    border-top: none;
    border-radius: 0px;
    font-size: 15px;
    outline: none;
    transition: border-color 0.2s ease;
}

.search-modal__form input[type="search"]:focus {
    border-color: #0073aa;
    box-shadow: 0 0 4px rgba(0, 115, 170, 0.3);
}

.search-submit-btn {
    background: transparent;
    border: none;
    cursor: pointer;
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
}

.search-submit-btn svg {
    width: 18px;
    height: 18px;
    fill: #555;
}

.search-submit-btn:hover svg {
    transform: scale(1.07)
}


.close-btn {
    background: transparent;
    border: none;
    cursor: pointer;
    padding: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 10px;
}

.close-btn svg {
    width: 22px;
    height: 22px;
    stroke: #333;
    transition: stroke 0.2s ease, transform 0.2s ease;
}

.close-btn:hover svg {
    transform: scale(1.07);
}

.modal-overlay {
    position: fixed;
    inset: 0;
}

.cart-link {
    display: flex;
    align-items: center;
    text-decoration: none;
    color: inherit;
}
.mobile-submenu-header {
        display: none;
    }

@media (max-width:1025px) {
    .header-icon-serach .search-icon {
        width: 18px;
        height: 18px;
    }

    .header-icon-serach .icon-cart-empty {
        width: 40px;
        height: 40px;
        color: #000;
    }

}

@media (max-width: 991.99px) {
    .mobile-submenu-0 {
        display: block;
    }

    .dot,
    .submenu-toggle {
        display: inline-block !important;
    }


    header .navbar-section {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        display: grid;
        grid-template-columns: auto 1fr auto;
        align-items: center;
        background: #fff;
        z-index: 9999;
        margin-bottom: 1rem;
        padding: 10px 0;
    }

    #navbar-menu-toggle {
        display: flex;
        align-items: center;
        justify-content: flex-start;
        padding-left: 20px;
        font-size: 28px;
        cursor: pointer;
        z-index: 100;
        background: none;
        border: none;
        color: #000;
    }


    .header-open-slider {
        position: fixed;
        top: 62px;
        left: -100%;
        height: 150vh;
        width: 49%;
        background: #fff;
        transition: left .35s ease;
        z-index: 10000;
        overflow-y: auto;
        padding-bottom: 1px;
        padding-right: 4px
    }

    .header-open-slider.open {
        left: 0;
    }

    .mobile-submenu-panel.active .menu-item {
        list-style: none;
        padding: 14px;
        font-size: 16px;
    }

    .mobile-submenu-panel.active .mobile-submenu-header {
        font-size: 14px;
        text-transform: uppercase;
        padding: 14px 58px 14px 24px
    }


    .header__inline-menu>ul {
        display: flex;
        flex-direction: column;
        padding: 0 0px !important;
        margin: 0;
    }

    .header__inline-menu>ul>li {
        display: flex;
        align-items: center;
        justify-content: flex-end;
        font-size: 18px;
        list-style: none;
        width: 377px;
    }

    .header__inline-menu>ul>li:hover {
        background: rgba(36, 40, 51, 0.065);

        left: 0px !important;
        bottom: 0px !important;
        right: 0px !important;
    }

    .header__inline-menu>ul>li>a {
        display: flex;
        align-items: center;
        gap: 12px;
        color: rgb(36, 40, 51);
        text-decoration: none;
        flex: 1;
        font-size: 18px;
    }

    .header__inline-menu>ul>li:hover>a {
        text-decoration: none;

    }

    .header__inline-menu>ul>li:hover>ul.sub-menu {
        display: none;
    }

    .header__inline-menu>ul>li>a .dot {
        display: inline-block;
        width: 10px;
        height: 10px;
        border-radius: 50%;
        margin-left: 8px;
    }


    .header__inline-menu ul ul li a .dot {
        display: none !important;
    }


    .header__inline-menu>ul>li:nth-child(1)>a .dot {
        background: #3ae5f8;
    }

    .header__inline-menu>ul>li:nth-child(2)>a .dot {
        background: #ff7931;
    }

    .header__inline-menu>ul>li:nth-child(3)>a .dot {
        background: #a256ff;
    }

    .header__inline-menu>ul>li:nth-child(4)>a .dot {
        background: #646bef;
    }

    .header__inline-menu>ul>li:nth-child(5)>a .dot {
        background: #31ff38;
    }

    .submenu-toggle {
        background: none;
        border: none;
        font-size: 20px;
        cursor: pointer;
        color: #333;
        padding: 0 30px 0 6px;
        display: inline-block;
    }

    .mobile-submenu-panel {
        position: fixed;
        top: 62px;
        left: 100%;
        height: 150vh;
        background: #fff;
        z-index: 10000;
        overflow-y: auto;
        transition: right .50s ease;
        width: 49%;
    }

    .mobile-submenu-panel a {
        color: #000;
        padding: 0 58px 0 24px;
        text-decoration: none;
    }

    .mobile-submenu-panel.active {
        left: 0;
    }

    .mobile-submenu-header {
        display: flex;
        align-items: center;
        gap: 12px;
        font-size: 18px;
        font-weight: 500;
    }

    .mobile-submenu-header .back-btn {
        background: none;
        border: none;
        font-size: 20px;
        cursor: pointer;
    }

    .header__inline-menu.hide-main {
        display: none;
    }

    header .header__inline-menu {
        align-items: normal;
    }

    .icon.icon-arrow {
        width: 18px;
        height: 10px;
        margin-left: 8px;
        transition: transform 0.3s ease;
    }

    .submenu-toggle .icon-arrow {
        transition: transform 0.3s ease;
    }

    .submenu-toggle.open .icon-arrow {
        transform: rotate(90deg);
    }

    .menu-item:hover {
        background: rgba(36, 40, 51, 0.065);

        left: 0px !important;
        bottom: 0px !important;
        right: 0px !important;
    }

    .mobile-submenu-panel.active .mobile-submenu-header:hover {
        background: rgba(36, 40, 51, 0.065);

        left: 0px !important;
        bottom: 0px !important;
        right: 0px !important;
    }
}

@media (max-width: 768px) {

    .header-open-slider,
    .mobile-submenu-panel {
        width: 100%;
    }

    .header__inline-menu>ul>li {
        width: 551px;
    }

    .header-open-slider,
    .mobile-submenu-panel {
        padding-top: 15px;
        padding-left: 10px;
    }

    .header__inline-menu>ul {
        padding: 0 16px;
    }

    .mobile-submenu-panel {
        padding-left: 16px;
        padding-right: 16px;
    }
}

@media (max-width: 608px) {
    .header__inline-menu>ul>li {
        width: 470px;
    }
}

@media (max-width: 498px) {
    .header__inline-menu>ul>li {
        width: 418px;
    }
}

@media (max-width: 416px) {
    .header__inline-menu>ul>li {
        width: 375px;
    }

}



/* banner saction */
h2.ring-builder-heading {
    font-size: 32px;
    margin-top: 5px;
    font-family: 'Assistant', sans-serif;
    font-weight: 400;
    padding-bottom: 20px;
}

.page-width-home {
    padding: 0;
    width: 100%;
}

@media screen and (min-width: 750px) {
    .page-width-home {
        padding: 0 2.5rem;
    }
}

.ring-builder-section {

    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #efefef80;
    padding: 50px;
    border-radius: 20px;
    padding-left: 100px;
}

.ring-builder-content {
    flex: 1 1 45%;
    max-width: 585px;
}

.ring-builder-add_ons {
    background-color: #d3d3d3;
    width: fit-content;
    color: black;
    padding: 0px 8px;
}

.ring-builder-heading,
.ring-builder-text,
.ring-builder-woo {
    color: #575757;
}

.ring-builder-content p,
.ring-builder-woo {
    font-size: 14px;
}

.ring-builder-text {
    margin-bottom: 30px;
    line-height: 1.6;
}

.ring-builder-buttons {
    display: flex;
    flex-direction: column;
    gap: 30px;
    margin-bottom: 5px;
}

.ring-builder-buttons .button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 12px 25px;
    text-transform: uppercase;
    font-weight: 500;
    background-color: #575757;
    color: white;
     max-width: 360px;
    height: 45px;
    width: 32m;
}

.ring-builder-woo {
    display: flex;
    align-items: center;
}

.ring-builder_woo img {
    width: auto;
    height: 50px;
    padding: 0 5px;
}

a.learn_more {
    text-decoration: none;
    color: #575757;
    font-size: 14px;
    margin-left: 10px;
}

.button,
.button-label,
.shopify-challenge__button,
.customer button {
    font-size: 1.5rem;
    letter-spacing: .1rem;
    line-height: calc(1 + .2 / var(--font-body-scale));
}

.button,
.shopify-challenge__button,
.customer button {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    border: 0;
    padding: 0 3rem;
    cursor: pointer;
    font: inherit;
    text-decoration: none;
    color: rgb(var(--color-button-text));
    background-color: rgba(var(--color-button), var(--alpha-button-background));
    transition: box-shadow var(--duration-short) ease;
    -webkit-appearance: none;
    appearance: none;
}

.button,
.shopify-challenge__button,
.customer button,
button.shopify-payment-button__button--unbranded {
    min-width: calc(12rem + var(--buttons-border-width) * 2);
    min-height: calc(4.5rem + var(--buttons-border-width) * 2);
}

.button,
.shopify-challenge__button,
.customer button,
button.shopify-payment-button__button--unbranded,
.shopify-payment-button [role=button],
.cart__dynamic-checkout-buttons [role=button],
.cart__dynamic-checkout-buttons iframe {
    --shadow-horizontal-offset: var(--buttons-shadow-horizontal-offset);
    --shadow-vertical-offset: var(--buttons-shadow-vertical-offset);
    --shadow-blur-radius: var(--buttons-shadow-blur-radius);
    --shadow-opacity: var(--buttons-shadow-opacity);
    --shadow-visible: var(--buttons-shadow-visible);
    --border-offset: var(--buttons-border-offset);
    --border-opacity: calc(1 - var(--buttons-border-opacity));
    border-radius: var(--buttons-radius-outset);
    position: relative;
}

@media screen and (min-width: 1300px) {
    a.button.button--primary {
        padding: 16px;
    }

    a.button.button--secondary {
        padding: 16px;
    }


}

.videoBackgroundFile {
    width: 100%;
    height: auto;
    border-radius: 10px;
    border: #000 1px solid;
    object-fit: fill;
    overflow-clip-margin: content-box;
    overflow: clip;
}


.page-width-home {
    padding: 2rem;
    width: 100%;
}

.ring-builder-content p,
.ring-builder-woo {
    font-size: 14px;
    font-weight: 400;
}

h2.ring-builder-heading {
    font-size: 32px;
    margin-top: 5px;
}

.ring-builder-add_ons {
    background-color: #D3D3D3;
    width: fit-content;
    color: black;
    padding: 0px 8px;
}

.learn_more {
    text-decoration: none;
    color: #575757;
    font-size: 14px;
    margin-left: 10px;
}

.bar-code {
    width: 150px;
    margin-top: 30px;
}

@media screen and (min-width: 750px) {
    .page-width-home {
        padding: 0 5rem;
    }
}

.ring-builder-heading,
.ring-builder-text,
.ring-builder-woo {
    color: #575757;
}

.ring-builder-section {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 10%;
    background-color: #EFEFEF80;
    padding: 50px;
    border-radius: 15px;
}

.ring-builder-content {
    flex: 1 1 45%;
    max-width: 500px;
}

.ring-builder-text {
    margin-bottom: 30px;
    line-height: 1.6;
}

.ring-builder-buttons {
    display: flex;
    flex-direction: column;
    gap: 30px;
    margin-bottom: 5px;
}

.ring-builder-buttons .button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 12px 25px;
    text-transform: uppercase;
    font-weight: 400;
    font-size: 14px;
    background-color: #575757;
    color: white;
    max-width: 360px;
    height: 45px;
    width: 32rem;
}

.ring-builder-buttons div {
    max-width: 415px;
}

.ring-builder-woo {
    display: flex;
    height: 30px;
    align-items: center;
    gap: 8px;
}

.shopify-logo {
    height: 25px;
}

.ring-builder-media {
    text-align: right;
}

.ring-builder-image {
    width: 100%;
    max-width: 800px;
    border-radius: 8px;
}


.ring-builder-media video,
.ring-builder-media img {
    width: 35vw;
    border-radius: 10px;
    border: 1px solid black;
}

@media screen and (max-width: 1060px) {

    .ring-builder-media video,
    .ring-builder-media img {
        width: 40vw;
    }
}

@media screen and (max-width: 980px) {

    .ring-builder-media video,
    .ring-builder-media img {
        width: 30vw;
    }
}

@media screen and (max-width: 768px) {

    .ring-builder-woo {
        justify-content: center;
    }

    .ring-builder-section {
        padding: 20px;
        gap: 20px;
    }

    .ring-builder-buttons {
        align-items: center;
    }

    .ring-builder-section {
        flex-direction: column;
        text-align: center;
    }

    .ring-builder-media {
        text-align: center;
    }

    .ring-builder-content {
        max-width: 100%;
    }

    .ring-builder-media video,
    .ring-builder-media img {
        width: calc(100vw - 100px);
    }
}

@media screen and (min-width: 1600px) {
    .ring-builder-section {
        justify-content: space-around;
    }
}


/* language
.localization-wrapper {
    display: flex;
    gap: 10px;
    align-items: center;
}

.disclosure {
    position: relative;
}

.disclosure__button {
    background: none;
    border: none;
    padding: 6px 12px;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 6px;
    color: #333;
    font-size: 13px;
    white-space: nowrap;
}

.disclosure__list-wrapper {
    position: absolute;
    top: 100%;
    right: 0;
    background: white;
    border: 1px solid #ddd;
    border-radius: 4px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    z-index: 1000;
    min-width: 180px;
    max-height: 200px;
    overflow-y: auto;
    display: none;
}

.disclosure__list-wrapper.open {
    display: block;
}

.disclosure__item {
    padding: 8px 12px;
}

.disclosure__link {
    display: flex;
    align-items: center;
    gap: 8px;
    text-decoration: none;
    color: #333;
    font-size: 13px;
    width: 100%;
}

.disclosure__link:hover,
.disclosure__link[aria-current="true"] {
    background: #f5f5f5;
    color: #000;
}

.icon {
    display: inline-block;
    width: 12px;
    height: 12px;
    fill: currentColor;
    vertical-align: middle;
}

.icon-caret {
    width: 10px;
    height: 6px;
    transition: transform 0.2s ease;
}

.disclosure__button[aria-expanded="true"] .icon-caret {
    transform: rotate(180deg);
}

.icon-checkmark {
    width: 12px;
    height: 9px;
}

.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    border: 0;
}

.visibility-hidden {
    display: none;
}

.utility-bar__grid {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 8px 0;
} 


@media (max-width: 768px) {
    .localization-wrapper {
        flex-direction: column;
        gap: 5px;
    }

    .disclosure__button {
        padding: 4px 8px;
        font-size: 12px;
    }

    .disclosure__list-wrapper {
        min-width: 150px;
        max-height: 150px;
    }

    .icon {
        width: 10px;
        height: 10px;
    }

    .icon-caret {
        width: 8px;
        height: 5px;
    }

    .icon-checkmark {
        width: 10px;
        height: 8px;
    }
}
*/

/* New dot feature */
.kirb-dot-container {
    position: fixed;
    bottom: 0;
    width: 100%;
    background: white;
    border: 1px solid #dedede;
    padding: 15px;
    z-index: 99999;
    box-shadow: 0px -1px 8px 2px rgba(0, 0, 0, 0.15);
}

.kirb-dot-container-bar {
    display: flex;
    justify-content: space-evenly;
}

.kirb-dot-container button.close-btn {
    background: inherit;
    border: 0;
    font-size: 20px;
    cursor: pointer;
    position: absolute;
    top: 9px;
    right: 13px;
}

.kirb-dot-container-color {
    width: 20px;
    height: 20px;
    display: block;
    border-radius: 50%;
    margin-top: 2px;
    margin-right: 5px;
}

.kirb-dot-container-name {
    font-size: 14px;
}

.kirb-dot-container-name:hover {
    text-decoration: underline;
    text-decoration-thickness: 1.2px;
}

.kirb-dot-container-tooltip {
    display: flex;
    cursor: pointer;
    justify-content: space-between;
}

.kirb-dot-container-tooltip .kirb-dot-container-list {
    box-shadow: 0px 0px 10px 0px #3ae5f8;
    ;
    top: -184px;
}

.kirb-dot-container-tooltip .kirb-dot-container-list::before {
    filter: drop-shadow(0px 0px 6px #3ae5f8);
    top: 177px;
}

.kirb-dot-container-tooltip .kirb-dot-container-list::after {
    top: 165px;
}

.kirb-dot-container-tooltip .kirb-dot-container-color {
    background: #3ae5f8;
}

.kirb-dot-container-list ul {
    margin: 0;
    padding: 0;
    padding-left: 15px;
}

.kirb-dot-container-list li {
    list-style-type: disc !important;
}

.kirb-dot-container-list {
    display: none;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 234px;
    background: #fff;
    padding: 10px;
    border-radius: 2px;
    font-size: 14px;
    line-height: 1.4;
    font-weight:400;
    color: #111111;
    transition: opacity .25s ease, transform .25s ease;
    z-index: 1000;
    text-align: left;
}

.kirb-dot-container-list::before {
    content: "";
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    border-left: 15px solid transparent;
    border-right: 15px solid transparent;
    border-top: 20px solid #fff;
}

.kirb-dot-container-list::after {
    content: "";
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    border-left: 25px solid transparent;
    border-right: 25px solid transparent;
    border-top: 30px solid #fff;
}

@media (max-width: 767px) {
    .kirb-dot-container {
        bottom: auto;
        top: 0;
        padding: 0;
    }

    .kirb-dot-container-bar {
        row-gap: 10px;
        column-gap: 50px;
        padding: 6px 25px 6px 5px;
    }
    .kirb-dot-container-tooltip .kirb-dot-container-list {
        top: 53px;
    }
    
    .kirb-dot-container button.close-btn {
        top: 0px;
    }
    
    .kirb-dot-container-tooltip .kirb-dot-container-list::before {
        top: -20px;
        border-bottom: 20px solid #fff;
        border-top: 0px;
    }
    
    .kirb-dot-container-tooltip .kirb-dot-container-list::after {
        top: -12px;
        border-bottom: 20px solid #fff;
        border-top: 0px;
    }
}


/* below is engagement css
 */
 /* dot container */
:root {
--app1-color: #3ae5f8;
--app2-color: #ff7931;
--app4-color: #f96cf7;
}

  .ident-color{
    width:20px;
    height:20px;
    display:block;
    border-radius: 50%;
    margin-top:2px;
    margin-right: 5px;
  }

  .menu-drawer__navigation .indicator{
    margin: 0 15px;
  }

  .app1-block .ident-color, .app1-block-main .ident-color, .app1.indicator, .app-drawer-1{
    background: var(--app1-color);
  }
  .app2-block .ident-color, .app2-block-main .ident-color, .app2.indicator, .app-drawer-2{
    background: var(--app2-color);
  }
  .app4-block .ident-color, .app4.indicator{
    background: var(--app4-color);
  }
.app1-block, .app1-block-main, .app2-block, .app2-block-main,.app4-block{
    display: flex;
    cursor: pointer;
    justify-content: space-between;    
} 

.app-container-sec{
    display: flex;
    justify-content: space-evenly;    
} 

.app-container-view {
    position: fixed;
    bottom: 0;
    width: 100%;
    background: white;
    border: 1px solid #dedede;
    padding: 15px;
    z-index: 99999;
    box-shadow: 0px -1px 8px 2px rgba(0, 0, 0, 0.15);
      
}
.app-container-view button.close_btn {
    background: inherit;
    border: 0;
    font-size: 20px;
    cursor: pointer;
    position:absolute;
    top:13px;
    right: 13px;
}

.indicator {
    display: inline-block;
    width: 10px !important;
    height: 10px!important;
    border-radius: 50%;
    margin-left: 10px;
    cursor: pointer;
}

.kirb-byor-number{
  position: relative;
}

.kirb-byor-number{
  position: relative;
}

.kirb-byor-number .app1.indicator{
  position: absolute;
  right: 0;
  top: -47px;
}
.kirb-new-byor-section,
.krfs-new-filter-section, 
.krfs-main-tab-section{
    border: 2px solid transparent;
    padding: 2px !important;
}

.app1-block-color{
    border: 2px solid var(--app1-color) !important;
    padding: 2px !important;
  }
.app2-block-color{
    border: 2px solid var(--app2-color) !important;
    padding: 2px !important;
}
.app4-block-color{
    border: 2px solid var(--app4-color) !important;
    padding: 2px !important;
}

.app-name{
  font-size: 14px;
}

.app-name:hover {
  text-decoration: underline;
  text-decoration-thickness: 1.2px;
}

.background-none{
  background:none !important;
}

.kirb-new-byor-section,.krfs-new-filter-section, 
.krfs-main-tab-section {
  position: relative;
}


  /* ===== Tooltip container ===== */

  .app1-tooltip ul,
  .app2-tooltip ul,
  .app4-tooltip ul{
    margin: 0;
    padding: 0;
    padding-left:15px;
  }

  .app1-tooltip li,
  .app1-tooltip li,
  .app2-tooltip li,
  .app4-tooltip li{
    list-style-type: disc !important;
  }
  
  .app1-tooltip,
  .app2-tooltip,
  .app4-tooltip{
    display:none;
    position:absolute;
    top:0;               /* place right below indicator */
    left:50%;
    transform:translateX(-50%);
    width:234px;
    background:#fff;
    padding:10px;
    border-radius:2px;
    font-size:14px;
    line-height:1.4;
    color:#333;
    transition:opacity .25s ease, transform .25s ease;
    z-index:9999; 
    text-align:left;
  }

  .app1-tooltip::before,
  .app2-tooltip::before,
  .app4-tooltip::before{
    content:"";
    position:absolute;
    left:50%;
    transform:translateX(-50%);
    border-left:15px solid transparent;
    border-right:15px solid transparent;
    border-top: 20px solid #fff;
  }

    .app1-tooltip::after,
  .app2-tooltip::after,
  .app4-tooltip::after{
    content: "";
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    border-left: 25px solid transparent;
    border-right: 25px solid transparent;
    border-top: 30px solid #fff;
  }


  .kirb-new-byor-section .app1-tooltip::before{
    filter: drop-shadow(0px 0px 6px var(--app1-color));
    border-bottom:20px solid #fff;
    border-top: 0px;
    top:-20px;
  }

  .kirb-new-byor-section .app1-tooltip::after{
    border-bottom:30px solid #fff;
    border-top: 0px;
    top:-19px;
  }

  .kirb-new-byor-section .app1-tooltip{
    box-shadow: 0px 0px 10px 0px var(--app1-color);
    top: 125px;
  }
  
  .app1-block-main .app1-tooltip::before {
    filter: drop-shadow(0px 0px 6px var(--app1-color));
    top:177px;
  }

  .app1-block-main .app1-tooltip::after {
    top: 165px;
  }

  .app1-block-main .app1-tooltip {
    box-shadow: 0px 0px 10px 0px var(--app1-color);
    top: -184px;
  }

  .app2-tooltip {
    box-shadow: 0px 0px 10px 0px var(--app2-color);
    top: -200px;
  }

  .app2-tooltip::before{
      filter: drop-shadow(0px 0px 6px var(--app2-color));
      bottom: -20px;
  }

  .app2-tooltip::after{
      bottom: -20px;
  }

  .app2-block-main .app2-tooltip {
    top: -184px;
  }

  .app4-tooltip {
    box-shadow: 0px 0px 10px 0px var(--app4-color);
    top: -180px;
  }

  .app4-tooltip::before {
    filter: drop-shadow(0px 0px 6px var(--app4-color));
     bottom: -20px;
  }

  .app4-tooltip::after {
     bottom: -20px;
  }

  .kirb-inner-ring-filter .app2.indicator{
    display:none
  }

@media (max-width: 767px) {

.ident-color {
   margin-top: 6px;
        width: 10px;
        height: 10px;
}
  .app-container-view {
        bottom: auto;
        top:0;
        padding: 0;
  }

  .app-container-view button.close_btn {
    right: 0px;
  }

  .app-container-sec{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    row-gap:10px;
    column-gap:50px;
    padding: 5px 25px 5px 5px;
  }

    /* 1 child */
.app-container-sec:has(> :nth-child(2)):not(:has(> :nth-child(3))){
      grid-template-columns: repeat(1, 1fr);
}

.app-container-sec:has(> :nth-child(2)):not(:has(> :nth-child(3))) .app1-block, 
.app-container-sec:has(> :nth-child(2)):not(:has(> :nth-child(3))) .app1-block-main, 
.app-container-sec:has(> :nth-child(2)):not(:has(> :nth-child(3))) .app2-block, 
.app-container-sec:has(> :nth-child(2)):not(:has(> :nth-child(3))) .app2-block-main, 
.app-container-sec:has(> :nth-child(2)):not(:has(> :nth-child(3))) .app4-block{
  justify-content: center;
}

  .app-container-view button.close_btn{
    top:0px;
  }

  .kirb-new-byor-section .app1-tooltip {
    top:110px;

  }

  .kirb-inner-ring-filter .app2.indicator{
    display:inline-block;
  }

  .app1-block, .app1-block-main, .app2-block, .app2-block-main, .app4-block{
    justify-content: flex-start;
}

  .app1-block-main .app1-tooltip,
  .app2-block-main .app2-tooltip{
        top: 53px;
  }

  /* App1 */
.app1-block-main .app1-tooltip::before {
  top: -20px;
  border-bottom: 20px solid #fff;
  border-top: 0px;
}

.app1-block-main .app1-tooltip::after {
  top: -12px;
  border-bottom: 20px solid #fff;
  border-top: 0px;
}

/* App2 */
.app2-block-main .app2-tooltip::before {
  bottom: 177px;
  border-bottom: 20px solid #fff;
  border-top: 0px;
}

.app2-block-main .app2-tooltip::after {
  bottom: 168px;
  border-bottom: 20px solid #fff;
  border-top: 0px;
}

}
/* .disable{
    pointer-events: none;
    cursor: pointer;
    opacity: 0.6;
} */